#include "csimapi.h"
#include "memory.h"
#include "sw.h"

#define NULL            (void *)0
#define OK              (1)
#define NOT_OK          (0)
#define NOP             (1)

#define FID_DF_SIMTEST  0x3113
#define FID_EF_TNR      0x6F01
#define FID_EF_TNU      0x6F02
#define FID_EF_TARU     0x6F03
#define FID_EF_CNR      0x6F04
#define FID_EF_CNU      0x6F05
#define FID_EF_CNIC     0x6F06
#define FID_EF_CNIV     0x6F07
#define FID_EF_CNRH     0x6F08
#define FID_EF_CARU     0x6F09
#define FID_EF_LNR      0x6F0A
#define FID_EF_LNU      0x6F0B
#define FID_EF_LARU     0x6F0C
#define FID_EF_CINA     0x6F0D
#define FID_EF_TRAC     0x6F0E
#define FID_EF_TIAC     0x6F0F
#define FID_EF_CIAC     0x6F10
#define FID_EF_CIAA     0x6F11
#define FID_EF_CNRI     0x6F12

#define FT_UNKNOWN      0x00
#define FT_MF           0x01
#define FT_DF           0x02
#define FT_EF           0x04

static CatFileStatus FCP;
static CatFileStatus Status;

static DWORD bytes;
static BYTE buffer[12];
static BYTE CHVStatus[4];

static CatDevice device;
static CatDCSValue dcs;
static CatTimerValue duration = {0,0,5};
static CatLocationInformation locationInformation;
static CatTimingAdvance timingAdvance;
static CatTimeInterval timeInterval;

static BYTE proactiveCommandBuffer[32];

/*
** Generated Proactive Commands
*/
static BYTE endSelectItem[] = {0x00};

static BYTE displayText[] = {0x00};

static BYTE getInKey1[] = {0x00};
static BYTE getInKey2[] = {0x00};

static BYTE getInput1[] = {0x00};
static BYTE getInput2[] = {0x00};
static BYTE getInput3[] = {0x00};

static BYTE setupIdleModeText1[] = {0x00};
static BYTE setupIdleModeText2[] = {0x00};
static BYTE setupIdleModeText3[] = {0x00};

static BYTE playTone1[] = {0x00};
static BYTE playTone2[] = {0x00};
static BYTE playTone3[] = {0x00};

static BYTE getTimer[] = {0x00};
static BYTE freeTimer[] = {0x00};
static BYTE startTimer[] = {0x00};
static BYTE getTimerValue[] = {0x00};

static BYTE powerOnCard[] = {0x00};
static BYTE powerOffCard[] = {0x00};
static BYTE performCardAPDU[] = {0x00};
static BYTE getReaderStatus[] = {0x00};
static BYTE getLocationInformation[] = {0x00};
static BYTE getTimingAdvance[] = {0x00};
static BYTE getIMEI[] = {0x00};
static BYTE getNetworkMeasurementResults[] = {0x00};
static BYTE getDateTimeAndTimeZone[] = {0x00};
static BYTE getLanguage[] = {0x00};
static BYTE setUpCall[] = {0x00};
static BYTE sendShortMessage[] = {0x00};
static BYTE sendSS[] = {0x00};
static BYTE sendUSSD1[] = {0x00};
static BYTE sendUSSD2[] = {0x00};
static BYTE openCSChannel[] = {0x00};
static BYTE openGPRSChannel[] = {0x00};
static BYTE closeChannel[] = {0x00};
static BYTE receiveData1[] = {0x00};
static BYTE receiveData2[] = {0x00};
static BYTE receiveData3[] = {0x00};
static BYTE sendData1[] = {0x00};
static BYTE sendData2[] = {0x00};
static BYTE getChannelStatus[] = {0x00};
static BYTE serviceSearch[] = {0x00};
static BYTE getServiceInformation[] = {0x00};
static BYTE declareService[] = {0x00};
static BYTE runATCommand[] = {0x00};
static BYTE sendDTMFCommand[] = {0x00};
static BYTE moreTime[] = {0x00};
static BYTE pollingOff[] = {0x00};
static BYTE pollInterval[] = {0x00};
static BYTE refreshWithFileList1[] = {0x00};
static BYTE refreshWithFileList2[] = {0x00};
static BYTE languageNotification[] = {0x00};
static BYTE launchBrowser[] = {0x00};
static BYTE sendProactiveCommand[] = {0x00};
static BYTE sendEnvelopeResponse[] = {0x00};
static BYTE sendEnvelopeErrorResponse[] = {0x00};
static BYTE putData[] = {0x00};
static BYTE putByte[] = {0x00};
static BYTE putTLV[] = {0x00};
static BYTE putBytePrefixedTLV[] = {0x00};
static BYTE putOneByteTLV[] = {0x00};
static BYTE putTwoByteTLV[] = {0x00};

